<?php

//TODO ahah custom elements for job types

function datasync_admin_settings() {
  $form = array();

  $job_types = datasync_job_types();

  $options = array();
  foreach ($job_types as $key => $def) {
    $options[$key] = '<b>' . $def['human_name'] . '</b> - ' . $def['description'];
  }
  $form['jobs'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Enable these jobs'),
    '#default_value' => ds_variable_get('datasync_jobs', array()),
    '#options' => $options,
  );
  
  $form['hosts'] = array(
    '#type' => 'textarea',
    '#title' => t('Hosts'),
    '#default_value' => ds_variable_get('datasync_hosts', ''),
    '#description' => t('This is your host configuration. You can either use a list of new line separated hostnames or use a more advanced configuration defined by the README.txt'),
  );
  
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
  );

  return $form;
}

function datasync_admin_settings_submit($form, &$form_state) {
  $form_values = $form_state['values'];
  ds_variable_set('datasync_jobs', $form_values['jobs']);
  ds_variable_set('datasync_hosts', $form_values['hosts']);
}

function datasync_admin_settings_jobs() {
  if (!module_exists('views')) {
    return t('You need to install !viewsmodule to manage jobs through this interface.', array('!views,pdi;e' => l('Views module', 'http://drupal.org/project/views')));
  }
  //views_embed_view cant properly override the path
  $view = views_get_view('datasync_jobs');
  $view->override_path = 'admin/settings/datasync/jobs';
  return $view->preview('default', array());
}

