<?php

function datasync_views_data() {
  $data = array(
    'datasync_jobs' => array(
      'table' => array(
        'group' => 'DataSync',
        'base' => array(
          'field' => 'job_id',
          'title' => t('DataSync Job'),
          'help' => t('DataSync keeps track of jobs to execute code in a background daemon.'),
        ),
      ),
      'job_id' => array(
        'title' => t('Job ID'),
        'help' => t('The ID of the job.'), 
        'field' => array(
          'handler' => 'views_handler_field_numeric',
          'click sortable' => TRUE,
        ),
        // Information for accepting a nid as an argument
        'argument' => array(
          'handler' => 'views_handler_argument_numeric',
          'numeric' => TRUE,
        ),
        // Information for accepting a nid as a filter
        'filter' => array(
          'handler' => 'views_handler_filter_numeric',
        ),
        // Information for sorting on a nid.
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'type' => array(
        'title' => t('Job type'),
        'help' => t('The type of the job.'), 
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE,
        ),
        // Information for accepting a nid as an argument
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'numeric' => FALSE,
        ),
        // Information for accepting a nid as a filter
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        // Information for sorting on a nid.
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'status' => array(
        'title' => t('Job status'),
        'help' => t('The current status of the job.'), 
        'field' => array(
          'handler' => 'datasync_handler_field_status',
        ),
        // Information for accepting a nid as an argument
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'numeric' => FALSE,
        ),
        // Information for accepting a nid as a filter
        'filter' => array(
          'handler' => 'datasync_handler_filter_status',
        ),
      ),
      'phase' => array(
        'title' => t('Job phase'),
        'help' => t('The current phase that the job is in.'), 
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE,
        ),
        // Information for accepting a nid as an argument
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'numeric' => FALSE,
        ),
        // Information for accepting a nid as a filter
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        // Information for sorting on a nid.
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'next_phase' => array(
        'title' => t('Next job phase'),
        'help' => t('The next phase that the job should be in.'), 
        'field' => array(
          'handler' => 'views_handler_field',
          'click sortable' => TRUE,
        ),
        // Information for accepting a nid as an argument
        'argument' => array(
          'handler' => 'views_handler_argument_string',
          'numeric' => FALSE,
        ),
        // Information for accepting a nid as a filter
        'filter' => array(
          'handler' => 'views_handler_filter_string',
        ),
        // Information for sorting on a nid.
        'sort' => array(
          'handler' => 'views_handler_sort',
        ),
      ),
      'started' => array(
        'title' => t('Time started'),
        'help' => t('Start time of the current phase.'), 
        'field' => array(
          'handler' => 'views_handler_field_date',
          'click sortable' => TRUE,
        ),
        // Information for accepting a nid as an argument
        'argument' => array(
          'handler' => 'views_handler_argument_date',
          'numeric' => TRUE,
        ),
        // Information for accepting a nid as a filter
        'filter' => array(
          'handler' => 'views_handler_filter_date',
        ),
        // Information for sorting on a nid.
        'sort' => array(
          'handler' => 'views_handler_sort_date',
        ),
      ),
      'completed' => array(
        'title' => t('Time completed'),
        'help' => t('Complete time of the current phase.'), 
        'field' => array(
          'handler' => 'views_handler_field_date',
          'click sortable' => TRUE,
        ),
        // Information for accepting a nid as an argument
        'argument' => array(
          'handler' => 'views_handler_argument_date',
          'numeric' => TRUE,
        ),
        // Information for accepting a nid as a filter
        'filter' => array(
          'handler' => 'views_handler_filter_date',
        ),
        // Information for sorting on a nid.
        'sort' => array(
          'handler' => 'views_handler_sort_date',
        ),
        'running' => array(
        'title' => t('Running'),
        'help' => t('Whether the job is running or not'), 
        'field' => array(
          'handler' => 'views_handler_field_date',
          'click sortable' => TRUE,
        ),
        // Information for accepting a nid as an argument
        'argument' => array(
          'handler' => 'views_handler_argument_date',
          'numeric' => TRUE,
        ),
        // Information for accepting a nid as a filter
        'filter' => array(
          'handler' => 'views_handler_filter_date',
        ),
        // Information for sorting on a nid.
        'sort' => array(
          'handler' => 'views_handler_sort_date',
        ),
      ),
      ),
    ),
  );
  return $data;
}

function datasync_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'datasync') . '/views',
    ),
    'handlers' => array(
      'datasync_handler_field_status' => array('parent' => 'views_handler_field'),
      'datasync_handler_filter_status' => array('parent' => 'views_handler_filter_in_operator'),
    ),
  );
}