<?php
//$Id: datasync.views_default.inc,v 1.1.2.1 2009/04/24 01:57:57 andrewlevine Exp $

function datasync_views_default_views() {
$view = new view;
$view->name = 'datasync_jobs';
$view->description = 'List of all DataSync Jobs';
$view->tag = 'datasync';
$view->view_php = '';
$view->base_table = 'datasync_jobs';
$view->is_cacheable = FALSE;
$view->api_version = 2;
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
$handler = $view->new_display('default', 'Defaults', 'default');
$handler->override_option('fields', array(
  'job_id' => array(
    'id' => 'job_id',
    'table' => 'datasync_jobs',
    'field' => 'job_id',
  ),
  'type' => array(
    'id' => 'type',
    'table' => 'datasync_jobs',
    'field' => 'type',
  ),
  'status' => array(
    'id' => 'status',
    'table' => 'datasync_jobs',
    'field' => 'status',
  ),
  'phase' => array(
    'id' => 'phase',
    'table' => 'datasync_jobs',
    'field' => 'phase',
  ),
  'next_phase' => array(
    'id' => 'next_phase',
    'table' => 'datasync_jobs',
    'field' => 'next_phase',
  ),
  'started' => array(
    'label' => 'Time phase started',
    'date_format' => 'small',
    'custom_date_format' => '',
    'exclude' => 0,
    'id' => 'started',
    'table' => 'datasync_jobs',
    'field' => 'started',
    'relationship' => 'none',
  ),
  'completed' => array(
    'label' => 'Time phase completed',
    'date_format' => 'small',
    'custom_date_format' => '',
    'exclude' => 0,
    'id' => 'completed',
    'table' => 'datasync_jobs',
    'field' => 'completed',
    'relationship' => 'none',
  ),
));
$handler->override_option('sorts', array(
  'completed' => array(
    'order' => 'ASC',
    'granularity' => 'second',
    'id' => 'completed',
    'table' => 'datasync_jobs',
    'field' => 'completed',
    'override' => array(
      'button' => 'Override',
    ),
    'relationship' => 'none',
  ),
  'job_id' => array(
    'order' => 'DESC',
    'id' => 'job_id',
    'table' => 'datasync_jobs',
    'field' => 'job_id',
    'override' => array(
      'button' => 'Override',
    ),
    'relationship' => 'none',
  ),
));
$handler->override_option('filters', array(
  'status' => array(
    'operator' => 'in',
    'value' => array(),
    'group' => '0',
    'exposed' => TRUE,
    'expose' => array(
      'use_operator' => 0,
      'operator' => 'status_op',
      'identifier' => 'status',
      'label' => 'Job status',
      'optional' => 1,
      'single' => 0,
      'remember' => 0,
      'reduce' => 0,
    ),
    'id' => 'status',
    'table' => 'datasync_jobs',
    'field' => 'status',
    'relationship' => 'none',
    'override' => array(
      'button' => 'Override',
    ),
  ),
  'job_id' => array(
    'operator' => '=',
    'value' => array(
      'value' => '',
      'min' => '',
      'max' => '',
    ),
    'group' => '0',
    'exposed' => TRUE,
    'expose' => array(
      'use_operator' => 0,
      'operator' => 'job_id_op',
      'identifier' => 'job_id',
      'label' => 'Job ID',
      'optional' => 1,
      'remember' => 1,
    ),
    'id' => 'job_id',
    'table' => 'datasync_jobs',
    'field' => 'job_id',
    'override' => array(
      'button' => 'Override',
    ),
    'relationship' => 'none',
  ),
  'phase' => array(
    'operator' => '=',
    'value' => '',
    'group' => '0',
    'exposed' => TRUE,
    'expose' => array(
      'use_operator' => 0,
      'operator' => 'phase_op',
      'identifier' => 'phase',
      'label' => 'Job phase',
      'optional' => 1,
      'remember' => 0,
    ),
    'case' => 1,
    'id' => 'phase',
    'table' => 'datasync_jobs',
    'field' => 'phase',
    'override' => array(
      'button' => 'Override',
    ),
    'relationship' => 'none',
  ),
  'next_phase' => array(
    'operator' => '=',
    'value' => '',
    'group' => '0',
    'exposed' => TRUE,
    'expose' => array(
      'use_operator' => 0,
      'operator' => 'next_phase_op',
      'identifier' => 'next_phase',
      'label' => 'Next job phase',
      'optional' => 1,
      'remember' => 0,
    ),
    'case' => 1,
    'id' => 'next_phase',
    'table' => 'datasync_jobs',
    'field' => 'next_phase',
    'override' => array(
      'button' => 'Override',
    ),
    'relationship' => 'none',
  ),
  'type' => array(
    'operator' => '=',
    'value' => '',
    'group' => '0',
    'exposed' => TRUE,
    'expose' => array(
      'use_operator' => 0,
      'operator' => 'type_op',
      'identifier' => 'type',
      'label' => 'Job type',
      'optional' => 1,
      'remember' => 0,
    ),
    'case' => 1,
    'id' => 'type',
    'table' => 'datasync_jobs',
    'field' => 'type',
    'relationship' => 'none',
  ),
));
$handler->override_option('access', array(
  'type' => 'perm',
  'perm' => 'administer site configuration',
));
$handler->override_option('title', 'Jobs');
$handler->override_option('items_per_page', 50);
$handler->override_option('use_pager', '1');
$handler->override_option('style_plugin', 'table');
$handler->override_option('style_options', array(
  'grouping' => '',
  'override' => 1,
  'sticky' => 1,
  'order' => 'asc',
  'columns' => array(
    'job_id' => 'job_id',
    'type' => 'type',
    'status' => 'status',
    'phase' => 'phase',
    'next_phase' => 'next_phase',
    'started' => 'started',
    'completed' => 'completed',
  ),
  'info' => array(
    'job_id' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'type' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'status' => array(
      'separator' => '',
    ),
    'phase' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'next_phase' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'started' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'completed' => array(
      'sortable' => 1,
      'separator' => '',
    ),
  ),
  'default' => '-1',
));
$views[$view->name] = $view;
return $views;
}
