<?php
// $Id: datasync_handler_field_status.inc,v 1.1.2.1 2009/04/24 01:57:57 andrewlevine Exp $

/**
 * Field handler to provide simple renderer that turns a URL into a clickable link.
 *
 * @ingroup views_field_handlers
 */
class datasync_handler_field_status extends views_handler_field {
  function construct() {
    parent::construct();
    //Add in started, completed, phase to query, which we need return the job status
    $this->additional_fields['started'] = 'started';
    $this->additional_fields['completed'] = 'completed';
    $this->additional_fields['phase'] = 'phase';
  }
  
  function render($values) {
    //0 == unstarted
    $started = $values->{$this->aliases['started']};
    //0 == incomplete
    $completed = $values->{$this->aliases['completed']};
    $phase = $values->{$this->aliases['phase']};
    
    if ($started == 0 && $completed !=0 && 'phase' == 'datasync_added') {
      return t('Added');
    }
    else if ($started == 0 && $phase != 'datasync_done') {
      return t('Queued');
    }
    else if ($started == 0 && $phase == 'datasync_done') {
      return t('Done');
    } 
    else if ($started !=0 && $completed == 0) {
      return t('Running');
    }
    else if ($started != 0 && $completed != 0) {
      return t('Phase completed');
    }
    //Should never get here
    return t('Unknown');
  }
  
  function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }
}
